<template>
  <div class="pageFour">
    <div class="pageFour-icons">
      <div class="icon-item" v-for="item in menuIconList" :key="item.iconName">
        <svg-icon
          :iconClass="item.iconName"
          :class="item.iconName"
          class="icon"
          @click="handleIcon(item.iconName)"
        ></svg-icon>
        <p>{{ item.title }}</p>
      </div>
    </div>
    <div class="pageFour-dialog" @click="handleDialog" v-if="isDialog">
      <div class="pageFour-dialog-bg" @click.stop="">
        <div class="dialog-icons">
          <div
            class="icon-item"
            v-for="item in dialogIconList"
            :key="item.iconName"
          >
            <svg-icon
              :iconClass="item.iconName"
              :class="item.iconName"
              class="icon"
              @click="handleIcon(item.iconName)"
            ></svg-icon>
            <p>{{ item.title }}</p>
          </div>
        </div>
      </div>
    </div>
    <div class="pageFour-dialog2" @click="handleDialog2" v-if="isDialog2">
      <div class="pageFour-dialog2-bg" @click.stop="">
        <div class="close-icon" @click="handleClose"></div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState } from "vuex";
export default {
  name: "pageFour",
  data() {
    return {
      menuIconList: [
        {
          iconName: "ic_tools",
          title: "实用工具",
        },
        {
          iconName: "ic_weather",
          title: "最美天气",
        },
        {
          iconName: "ic_camera",
          title: "相机",
        },
        {
          iconName: "ic_photo",
          title: "相册",
        },
        {
          iconName: "ic_user",
          title: "用户手册",
        },
        {
          iconName: "ic_setting2",
          title: "车辆设置",
        },
        {
          iconName: "ic_lightning",
          title: "极速模式",
        },
        {
          iconName: "ic_gd2",
          title: "高德地图定制版",
        },
        {
          iconName: "ic_listen",
          title: "云听",
        },
      ],
      dialogIconList: [
        {
          iconName: "ic_1",
          title: "下载",
        },
        {
          iconName: "ic_2",
          title: "文件管理器",
        },
        {
          iconName: "ic_4",
          title: "禁止自启动",
        },
        {
          iconName: "ic_3",
          title: "故障上报",
        },
        {
          iconName: "ic_5",
          title: "添加",
        },
      ],
      isDialog: false,
      isDialog2: false,
    };
  },
  methods: {
    handleDialog() {
      this.isDialog = false;
      this.$emit("handlePageFour", false);
      this.$store.commit("pageFour/changeShowDialog", false);
    },
    handleDialog2() {
      this.isDialog2 = false;
      this.$emit("handlePageFour", false);
      this.$store.commit("pageFour/changeShowDialog", false);
    },
    handleClose() {
      this.isDialog2 = false;
      this.isDialog = true;
    },
    handleIcon(iconName) {
      if (iconName === "ic_tools") {
        this.isDialog = true;
        this.$emit("handlePageFour", true);
      }
      if (iconName === "ic_4") {
        this.isDialog2 = true;
        this.isDialog = false;
        this.$emit("handlePageFour", true);
      }
      if (iconName === "ic_weather") {
        this.$router.push("/StaticWeather");
        this.$store.commit("bottom/changeBottomBg", true);
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("header/changeHeaderDark", true);
      }
      if (iconName === "ic_camera") {
        this.$router.push("/camera");
        this.$store.commit("bottom/changeBottomBg", true);
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("header/changeHeaderDark", true);
      }
      if (iconName === "ic_photo") {
        this.$router.push("/photo");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
      }
      if (iconName === "ic_user") {
        this.$router.push("/userManual");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
      }
      if (iconName === "ic_setting2") {
        this.$router.push("/setting");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
      }
      if (iconName === "ic_gd2") {
        this.$router.push("/map");
        this.$store.commit("bottom/changeBottomBg", true);
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("header/changeHeaderDark", true);
      }
      if (iconName === "ic_1") {
        this.$router.push("/download");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
        this.$store.commit("pageFour/changeShowDialog", true);
      }
      if (iconName === "ic_2") {
        this.$router.push("/fileManage");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
        this.$store.commit("pageFour/changeShowDialog", true);
      }
      if (iconName === "ic_3") {
        this.$router.push("/fault");
        this.$store.commit("bottom/changeBottomBg", true);
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("header/changeHeaderDark", true);
        this.$store.commit("pageFour/changeShowDialog", true);
      }
      if (iconName === "ic_listen") {
        this.$router.push("/diant/1");
        this.$store.commit("bottom/changeSilde", true);
        this.$store.commit("bottom/changeTopLine", false);
      }
    },
  },
  computed: {
    ...mapState("pageFour", {
      showDialog: (state) => state.showDialog,
    }),
  },
  mounted() {
    if (this.showDialog) {
      this.isDialog = true;
      this.$emit("handlePageFour", true);
    }
  },
};
</script>

<style lang="scss" scoped>
.pageFour {
  position: absolute;
  top: 300px;
  // width: 100%;
  width: 1920px;
  display: flex;
  justify-content: center;
  .pageFour-icons {
    width: 1600px;
    height: 450px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    .icon-item {
      width: calc(100% / 6);
      height: 225px;
      position: relative;
      .icon {
        width: 119.24px;
        height: 119.39px;
      }
      p {
        transform: scale(0.85);
        font-weight: bold;
        line-height: 36px;
        color: #1d1f1f;
        margin-top: 10px;
      }
    }
  }
  .pageFour-dialog {
    position: absolute;
    left: 0;
    top: -380px;
    width: 100%;
    height: 1202px;
    background: rgb(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    .pageFour-dialog-bg {
      // position: relative;
      width: 710px;
      height: 701px;
      background-image: url("../../assets/images/pageFour/pageDialog_bg.webp");
      background-size: 100% 100%;
      // padding: 78px 95px;
      .dialog-icons {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        margin-top: 78px;
        .icon-item {
          width: calc(100% / 3);
          margin-bottom: 50px;
          .icon {
            width: 120px;
            height: 120px;
          }
        }
      }
    }
  }
  .pageFour-dialog2 {
    position: absolute;
    left: 0;
    top: -380px;
    width: 100%;
    height: 1202px;
    background: rgb(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    .pageFour-dialog2-bg {
      position: relative;
      width: 870px;
      height: 810px;
      background-image: url("../../assets/images/pageFour/ban_bg.webp");
      background-size: 100% 100%;
      .close-icon {
        position: absolute;
        width: 46px;
        height: 46px;
        top: 35px;
        left: 39px;
      }
    }
  }
}
</style>
